Subject: Request for merging "mesa-updates" branch

From: John Kehayias <[email-masked]>
Date: Mon, 16 Sep 2024 02:38:16 +0000

Hello Guix,

The mesa-updates branch I think is just almost ready for merging. Besides some other fixes and updates, the main series is tracked at <https://issues.guix.gnu.org/73071>. There is an update to add NVK support to mesa for x86_64-linux which I need to review and push (and rebase to get more fixes from master).

Coverage looks good for x86_64 and i686 on QA, with powerpc64le as well on Berlin. I worry that aarch64 and others may have stalled out on Bordeaux. Perhaps Efraim can chime in there.

With an update for NVK for x86_64, that will take maybe a day to catch up again in builds but tends to be pretty quick. I'm not aware of other blockers.

Thanks!
John